/* language.h
 *
 * This file contains translations for CRACKLIB messages given to users.
 * If you want to put translations for your language, copy the last section
 * (from '#else' to '#endif') just after  'PUT OTHER LANGUAGES HERE' and enclose
 * it in:
 * 	#else 
 *	#ifdef YOURLANGUAGE
 * 	 ...
 * 	#endif
 */

#ifdef POLISH

#define MSG_PWNOTREG	"Nie ma cie w pliku passwd"
#define MSG_UNAMEBASED	"To haslo jest oparte na nazwie twojego konta"
#define MSG_PWENTBASED	"jest oparte na twoich danych w pliku passwd"
#define MSG_PWDERIVED	"mozna je wymyslic na podstawie twoich danych"
#define MSG_MTOOSHORT	"ZDECYDOWANIE za krotkie"
#define MSG_TOOSHORT	"za krotkie"
#define MSG_NOTDIF	"nie zawiera wystarczajaco duzo ROZNYCH znakow"
#define MSG_ALLWHITESP	"sklada sie z samych spcji i tabulatorow"
#define MSG_TOOSIMPLE	"jest zbyt proste lub systematyczne"
#define MSG_INSURNMBR	"wyglada jak amerykanski numer ubezpieczeniowy"
#define MSG_DICTWORD	"jest oparte na slowie wystepujacym w slowniku"
#define MSG_DICTREV	"jest oparte na slowie wystepujacym w slowniku (pisanym od tylu)"
#define MSG_CARREGNUM	"przypomina nieco numer rejestracyjny samochodu"
#define MSG_SAMEAGAIN	"juz kiedys uzywales tego hasla"

#define ERR_OTHDICTOPEN	"%s: inny slownik jest juz otwarty\n"
#define ERR_READHDR	"%s: blad przy czytaniu naglowka\n"
#define ERR_MAGICMISM	"%s: magiczna wartosc sie nie zgadza\n"
#define ERR_SIZEMISM	"%s: rozmiar sie nie zgadza\n"

#define ERR_CLMAGICMISM	"PWClose: magiczna wartosc sie nie zgadza\n"
#define ERR_IDXMAGICSEEK	"indeksowanie, magiczna wartosc, fseek sie nie powiodl\n"
#define ERR_MAGICWRITE	"indeksowanie, magiczna wartosc, zapis sie nie udal\n"

#define ERR_NOHISTFILE	"Nie moge znalezc pliku ze starymi haslami\n"
#define ERR_NOHISTUPDATE	"Nie moge dopisac hasla do pliku ze starymi haslami\n"

/* PUT OTHER LANGUAGES HERE */

#else

#define MSG_PWNOTREG	"you are not registered in the password file"
#define MSG_UNAMEBASED	"it is based on your username"
#define MSG_PWENTBASED	"it is based upon your password entry"
#define MSG_PWDERIVED	"it is derived from your password entry"
#define MSG_MTOOSHORT	"it's WAY too short"
#define MSG_TOOSHORT	"it is too short"
#define MSG_NOTDIF	"it does not contain enough DIFFERENT characters"
#define MSG_ALLWHITESP	"it is all whitespace"
#define MSG_TOOSIMPLE	"it is too simplistic/systematic"
#define MSG_INSURNMBR	"it looks like a National Insurance number."
#define MSG_DICTWORD	"it is based on a dictionary word"
#define MSG_DICTREV	"it is based on a (reversed) dictionary word"
#define MSG_SAMEAGAIN	"it has been used before"

#define ERR_OTHDICTOPEN	"%s: another dictionary already open\n"
#define ERR_READHDR	"%s: error reading header\n"
#define ERR_MAGICMISM	"%s: magic mismatch\n"
#define ERR_SIZEMISM	"%s: size mismatch\n"

#define ERR_CLMAGICMISM	"PWClose: close magic mismatch\n"
#define ERR_IDXMAGICSEEK	"index magic fseek failed\n"
#define ERR_MAGICWRITE	"index magic fwrite failed\n"

#define ERR_NOHISTFILE	"Cannot find history file (ignored)\n"
#define ERR_NOHISTUPDATE	"Password reusal file: cannot update\n"

#endif
